NX Open C++ Reference Guide
|
Represents a Features::SectionSurface builder. More...
Public Member Functions | |
int | AlternateSolutions () |
Returns the alternate method. | |
NXOpen::GeometricUtilities::LawBuilder * | AngleLaw () |
Returns the angle law. | |
NXOpen::Section * | ApexCurve () |
Returns the apex curve. | |
NXOpen::Features::SectionSurfaceBuilderEx::CircularType | CircularTypeMode () |
Returns the circular type mode. | |
NXOpen::Features::SectionSurfaceBuilderEx::ConicType | ConicTypeMode () |
Returns the conic type mode. | |
NXOpen::Features::SectionSurfaceBuilderEx::ControlRegionType | ControlRegion () |
Returns the control region. | |
bool | CreateApexCurve () |
Returns whether an apex curve should be created. | |
NXOpen::Features::SectionSurfaceBuilderEx::CubicType | CubicTypeMode () |
Returns the cubic type mode. | |
NXOpen::GeometricUtilities::Continuity * | EndContinuity () |
Returns the end continuity. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | EndDepthSkew () |
Returns the end depth skew. | |
bool | EndDirection () |
Returns the end direction. | |
NXOpen::ScCollector * | EndFace () |
Returns the end face. | |
NXOpen::Section * | EndHighlightCurve () |
Returns the end highlight curve. | |
NXOpen::Section * | EndShapeCurve () |
Returns the end shape curve. | |
NXOpen::Section * | EndSlopeCurve () |
Returns the end slope curve. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | EntireDepthSkew () |
Returns the entire depth skew. | |
double | G0Tolerance () |
Returns the g0 tolerance. | |
double | G1Tolerance () |
Returns the g1 tolerance. | |
double | G2Tolerance () |
Returns the g2 tolerance. | |
NXOpen::GeometricUtilities::LawBuilder * | RadiusLaw () |
Returns the radius law. | |
NXOpen::GeometricUtilities::Rebuild * | Rebuild () |
Returns the rebuild. | |
NXOpen::GeometricUtilities::LawBuilder * | RhoLaw () |
Returns the rho law. | |
NXOpen::Section * | SectionEndGuide () |
Returns the section end guide. | |
NXOpen::Section * | SectionInteriorGuide1 () |
Returns the interior guide1. | |
NXOpen::Section * | SectionInteriorGuide2 () |
Returns the section interior guide2. | |
NXOpen::Section * | SectionInteriorGuide3 () |
Returns the section interior guide3. | |
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangentType | SectionMethodCircleTangent () |
Returns the section method circle tangent. | |
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridgeType | SectionMethodFilletBridge () |
Returns the section method fillet bridge. | |
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRhoType | SectionMethodRho () |
Returns the section method rho. | |
NXOpen::Section * | SectionOrientationGuide () |
Returns the section orientation guide. | |
NXOpen::Section * | SectionStartGuide () |
Returns the section start guide. | |
void | SetAlternateSolutions (int alternateSolutions) |
Sets the alternate method. | |
void | SetCircularTypeMode (NXOpen::Features::SectionSurfaceBuilderEx::CircularType circularTypeMode) |
Sets the circular type mode. | |
void | SetConicTypeMode (NXOpen::Features::SectionSurfaceBuilderEx::ConicType conicTypeMode) |
Sets the conic type mode. | |
void | SetControlRegion (NXOpen::Features::SectionSurfaceBuilderEx::ControlRegionType controlRegion) |
Sets the control region. | |
void | SetCreateApexCurve (bool createApexCurve) |
Sets whether an apex curve should be created. | |
void | SetCubicTypeMode (NXOpen::Features::SectionSurfaceBuilderEx::CubicType cubicTypeMode) |
Sets the cubic type mode. | |
void | SetEndDirection (bool endDirection) |
Sets the end direction. | |
void | SetG0Tolerance (double g0Tolerance) |
Sets the g0 tolerance. | |
void | SetG1Tolerance (double g1Tolerance) |
Sets the g1 tolerance. | |
void | SetG2Tolerance (double g2Tolerance) |
Sets the g2 tolerance. | |
void | SetSectionMethodCircleTangent (NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangentType sectionMethodCircleTangent) |
Sets the section method circle tangent. | |
void | SetSectionMethodFilletBridge (NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridgeType sectionMethodFilletBridge) |
Sets the section method fillet bridge. | |
void | SetSectionMethodRho (NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRhoType sectionMethodRho) |
Sets the section method rho. | |
void | SetSlopeControl (NXOpen::Features::SectionSurfaceBuilderEx::SlopeControlType slopeControl) |
Sets the slope control. | |
void | SetSpineEndFlowDirection (NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowType spineEndFlowDirection) |
Sets the spine end flow direction. | |
void | SetSpineStartFlowDirection (NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowType spineStartFlowDirection) |
Sets the spine start flow direction. | |
void | SetSpineType (NXOpen::Features::SectionSurfaceBuilderEx::Spine spineType) |
Sets the spine. | |
void | SetSpineVector (NXOpen::Direction *spineVector) |
Sets the spine vector. | |
void | SetStartDirection (bool startDirection) |
Sets the start direction. | |
void | SetType (NXOpen::Features::SectionSurfaceBuilderEx::Types type) |
Sets the type. | |
void | SetUDegree (NXOpen::Features::SectionSurfaceBuilderEx::UDegreeType uDegree) |
Sets the u degree. | |
NXOpen::Section * | ShoulderCurve () |
Returns the shoulder curve. | |
NXOpen::Features::SectionSurfaceBuilderEx::SlopeControlType | SlopeControl () |
Returns the slope control. | |
NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowType | SpineEndFlowDirection () |
Returns the spine end flow direction. | |
NXOpen::Section * | SpineSection () |
Returns the spine section. | |
NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowType | SpineStartFlowDirection () |
Returns the spine start flow direction. | |
NXOpen::Features::SectionSurfaceBuilderEx::Spine | SpineType () |
Returns the spine. | |
NXOpen::Direction * | SpineVector () |
Returns the spine vector. | |
NXOpen::GeometricUtilities::Continuity * | StartContinuity () |
Returns the start continuity. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | StartDepthSkew () |
Returns the start depth skew. | |
bool | StartDirection () |
Returns the start direction. | |
NXOpen::ScCollector * | StartFace () |
Returns the start face. | |
NXOpen::Section * | StartHighlightCurve () |
Returns the start highlight curve. | |
NXOpen::Section * | StartShapeCurve () |
Returns the start shape curve. | |
NXOpen::Section * | StartSlopeCurve () |
Returns the start slope curve. | |
NXOpen::Features::SectionSurfaceBuilderEx::Types | Type () |
Returns the type. | |
NXOpen::Features::SectionSurfaceBuilderEx::UDegreeType | UDegree () |
Returns the u degree. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::SectionSurface builder.
Use @link Features::SectionSurfaceBuilderEx Features::SectionSurfaceBuilderEx@endlink to create section surface. For more details see the NX documentation for Section Surface. <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSectionSurfaceBuilderEx Features::FeatureCollection::CreateSectionSurfaceBuilderEx @endlink <br>
Default values.
Property | Value |
---|---|
AngleLaw.EndValue.Value |
1 |
AngleLaw.Function |
ft |
AngleLaw.LawType |
Constant |
AngleLaw.Parameter |
t |
AngleLaw.StartValue.Value |
1 |
AngleLaw.Value.Value |
0.0 |
CircularTypeMode |
ThreePoint |
ConicTypeMode |
Shoulder |
ControlRegion |
Entire |
CubicTypeMode |
TwoSlopes |
EndContinuity.ContinuityType |
G1 |
RadiusLaw.EndValue.Value |
1.0 (millimeters part), 0.05 (inches part) |
RadiusLaw.StartValue.Value |
1.0 (millimeters part), 0.05 (inches part) |
RadiusLaw.Value.Value |
1.0 (millimeters part), 0.05 (inches part) |
RhoLaw.EndValue.Value |
0.5 |
RhoLaw.StartValue.Value |
0.5 |
RhoLaw.Value.Value |
0.5 |
SectionMethodCircleTangent |
FilletArc |
SectionMethodFilletBridge |
Continuity |
SectionMethodRho |
Rho |
SlopeControl |
ByApex |
SpineEndFlowDirection |
NotSpecified |
SpineStartFlowDirection |
NotSpecified |
SpineType |
ByVector |
StartContinuity.ContinuityType |
G1 |
Created in NX9.0.0.
This enum represents the current modes of circular type section surfaces.
Section method Fillet Bridge type.
Section method Rho type.
Spine End Flow type.
Spine Start Flow type.
This enum represents the current types of section surface methods.
TypesConic |
Conic type. |
TypesCircular |
Circular type. |
TypesCubic |
Cubic type. |
TypesLinear |
Linear type. |
int NXOpen::Features::SectionSurfaceBuilderEx::AlternateSolutions | ( | ) |
Returns the alternate method.
This api only applies to the follow section surface methods, circle_tangent and linear-tangent
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilderEx::AngleLaw | ( | ) |
Returns the angle law.
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::ApexCurve | ( | ) |
Returns the apex curve.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeShoulder Features::SectionSurfaceBuilderEx::ConicTypeShoulder@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeRho Features::SectionSurfaceBuilderEx::ConicTypeRho@endlink , and @link Features::SectionSurfaceBuilderEx::ConicTypeHilite Features::SectionSurfaceBuilderEx::ConicTypeHilite@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::CircularType NXOpen::Features::SectionSurfaceBuilderEx::CircularTypeMode | ( | ) |
Returns the circular type mode.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::ConicType NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeMode | ( | ) |
Returns the conic type mode.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::ControlRegionType NXOpen::Features::SectionSurfaceBuilderEx::ControlRegion | ( | ) |
Returns the control region.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::SectionSurfaceBuilderEx::CreateApexCurve | ( | ) |
Returns whether an apex curve should be created.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::CubicType NXOpen::Features::SectionSurfaceBuilderEx::CubicTypeMode | ( | ) |
Returns the cubic type mode.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SectionSurfaceBuilderEx::EndContinuity | ( | ) |
Returns the end continuity.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilderEx::EndDepthSkew | ( | ) |
Returns the end depth skew.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::SectionSurfaceBuilderEx::EndDirection | ( | ) |
Returns the end direction.
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SectionSurfaceBuilderEx::EndFace | ( | ) |
Returns the end face.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeShoulder Features::SectionSurfaceBuilderEx::ConicTypeShoulder@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeRho Features::SectionSurfaceBuilderEx::ConicTypeRho@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeHilite Features::SectionSurfaceBuilderEx::ConicTypeHilite@endlink and @link Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::EndHighlightCurve | ( | ) |
Returns the end highlight curve.
Only applies to the follow section surface type: @link Features::SectionSurfaceBuilderEx::ConicTypeHilite Features::SectionSurfaceBuilderEx::ConicTypeHilite@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::EndShapeCurve | ( | ) |
Returns the end shape curve.
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::EndSlopeCurve | ( | ) |
Returns the end slope curve.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeShoulder Features::SectionSurfaceBuilderEx::ConicTypeShoulder@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeRho Features::SectionSurfaceBuilderEx::ConicTypeRho@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeHilite Features::SectionSurfaceBuilderEx::ConicTypeHilite@endlink , @link Features::SectionSurfaceBuilderEx::CubicTypeTwoSlopes Features::SectionSurfaceBuilderEx::CubicTypeTwoSlopes@endlink and @link Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilderEx::EntireDepthSkew | ( | ) |
Returns the entire depth skew.
Created in NX9.0.0.
License requirements : None
double NXOpen::Features::SectionSurfaceBuilderEx::G0Tolerance | ( | ) |
Returns the g0 tolerance.
Created in NX9.0.0.
License requirements : None
double NXOpen::Features::SectionSurfaceBuilderEx::G1Tolerance | ( | ) |
Returns the g1 tolerance.
Created in NX9.0.0.
License requirements : None
double NXOpen::Features::SectionSurfaceBuilderEx::G2Tolerance | ( | ) |
Returns the g2 tolerance.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilderEx::RadiusLaw | ( | ) |
Returns the radius law.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::SectionSurfaceBuilderEx::Rebuild | ( | ) |
Returns the rebuild.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilderEx::RhoLaw | ( | ) |
Returns the rho law.
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionEndGuide | ( | ) |
Returns the section end guide.
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionInteriorGuide1 | ( | ) |
Returns the interior guide1.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeFivePoint Features::SectionSurfaceBuilderEx::ConicTypeFivePoint@endlink , and @link Features::SectionSurfaceBuilderEx::CircularTypeThreePoint Features::SectionSurfaceBuilderEx::CircularTypeThreePoint@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionInteriorGuide2 | ( | ) |
Returns the section interior guide2.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope@endlink and @link Features::SectionSurfaceBuilderEx::ConicTypeFivePoint Features::SectionSurfaceBuilderEx::ConicTypeFivePoint@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionInteriorGuide3 | ( | ) |
Returns the section interior guide3.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope@endlink and @link Features::SectionSurfaceBuilderEx::ConicTypeFivePoint Features::SectionSurfaceBuilderEx::ConicTypeFivePoint@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangentType NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangent | ( | ) |
Returns the section method circle tangent.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridgeType NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridge | ( | ) |
Returns the section method fillet bridge.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRhoType NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRho | ( | ) |
Returns the section method rho.
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionOrientationGuide | ( | ) |
Returns the section orientation guide.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::CircularTypeCenterRadius Features::SectionSurfaceBuilderEx::CircularTypeCenterRadius@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionStartGuide | ( | ) |
Returns the section start guide.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::SectionSurfaceBuilderEx::SetAlternateSolutions | ( | int | alternateSolutions | ) |
Sets the alternate method.
This api only applies to the follow section surface methods, circle_tangent and linear-tangent
Created in NX9.0.0.
License requirements : None
alternateSolutions | alternatesolutions |
void NXOpen::Features::SectionSurfaceBuilderEx::SetCircularTypeMode | ( | NXOpen::Features::SectionSurfaceBuilderEx::CircularType | circularTypeMode | ) |
Sets the circular type mode.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
circularTypeMode | circulartypemode |
void NXOpen::Features::SectionSurfaceBuilderEx::SetConicTypeMode | ( | NXOpen::Features::SectionSurfaceBuilderEx::ConicType | conicTypeMode | ) |
Sets the conic type mode.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
conicTypeMode | conictypemode |
void NXOpen::Features::SectionSurfaceBuilderEx::SetControlRegion | ( | NXOpen::Features::SectionSurfaceBuilderEx::ControlRegionType | controlRegion | ) |
Sets the control region.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
controlRegion | controlregion |
void NXOpen::Features::SectionSurfaceBuilderEx::SetCreateApexCurve | ( | bool | createApexCurve | ) |
Sets whether an apex curve should be created.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
createApexCurve | createapexcurve |
void NXOpen::Features::SectionSurfaceBuilderEx::SetCubicTypeMode | ( | NXOpen::Features::SectionSurfaceBuilderEx::CubicType | cubicTypeMode | ) |
Sets the cubic type mode.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
cubicTypeMode | cubictypemode |
void NXOpen::Features::SectionSurfaceBuilderEx::SetEndDirection | ( | bool | endDirection | ) |
Sets the end direction.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
endDirection | enddirection |
void NXOpen::Features::SectionSurfaceBuilderEx::SetG0Tolerance | ( | double | g0Tolerance | ) |
Sets the g0 tolerance.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
g0Tolerance | g0tolerance |
void NXOpen::Features::SectionSurfaceBuilderEx::SetG1Tolerance | ( | double | g1Tolerance | ) |
Sets the g1 tolerance.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
g1Tolerance | g1tolerance |
void NXOpen::Features::SectionSurfaceBuilderEx::SetG2Tolerance | ( | double | g2Tolerance | ) |
Sets the g2 tolerance.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
g2Tolerance | g2tolerance |
void NXOpen::Features::SectionSurfaceBuilderEx::SetSectionMethodCircleTangent | ( | NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangentType | sectionMethodCircleTangent | ) |
Sets the section method circle tangent.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
sectionMethodCircleTangent | sectionmethodcircletangent |
void NXOpen::Features::SectionSurfaceBuilderEx::SetSectionMethodFilletBridge | ( | NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridgeType | sectionMethodFilletBridge | ) |
Sets the section method fillet bridge.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
sectionMethodFilletBridge | sectionmethodfilletbridge |
void NXOpen::Features::SectionSurfaceBuilderEx::SetSectionMethodRho | ( | NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRhoType | sectionMethodRho | ) |
Sets the section method rho.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
sectionMethodRho | sectionmethodrho |
void NXOpen::Features::SectionSurfaceBuilderEx::SetSlopeControl | ( | NXOpen::Features::SectionSurfaceBuilderEx::SlopeControlType | slopeControl | ) |
Sets the slope control.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
slopeControl | slopecontrol |
void NXOpen::Features::SectionSurfaceBuilderEx::SetSpineEndFlowDirection | ( | NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowType | spineEndFlowDirection | ) |
Sets the spine end flow direction.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
spineEndFlowDirection | spineendflowdirection |
void NXOpen::Features::SectionSurfaceBuilderEx::SetSpineStartFlowDirection | ( | NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowType | spineStartFlowDirection | ) |
Sets the spine start flow direction.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
spineStartFlowDirection | spinestartflowdirection |
void NXOpen::Features::SectionSurfaceBuilderEx::SetSpineType | ( | NXOpen::Features::SectionSurfaceBuilderEx::Spine | spineType | ) |
Sets the spine.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
spineType | spinetype |
void NXOpen::Features::SectionSurfaceBuilderEx::SetSpineVector | ( | NXOpen::Direction * | spineVector | ) |
Sets the spine vector.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
spineVector | spinevector |
void NXOpen::Features::SectionSurfaceBuilderEx::SetStartDirection | ( | bool | startDirection | ) |
Sets the start direction.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::CircularTypeRadiusAngleArc Features::SectionSurfaceBuilderEx::CircularTypeRadiusAngleArc@endlink and @link Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge@endlink
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
startDirection | startdirection |
void NXOpen::Features::SectionSurfaceBuilderEx::SetType | ( | NXOpen::Features::SectionSurfaceBuilderEx::Types | type | ) |
Sets the type.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
type | type |
void NXOpen::Features::SectionSurfaceBuilderEx::SetUDegree | ( | NXOpen::Features::SectionSurfaceBuilderEx::UDegreeType | uDegree | ) |
Sets the u degree.
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_2 ("advanced freeform modeling")
uDegree | udegree |
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::ShoulderCurve | ( | ) |
Returns the shoulder curve.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeShoulder Features::SectionSurfaceBuilderEx::ConicTypeShoulder@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::SlopeControlType NXOpen::Features::SectionSurfaceBuilderEx::SlopeControl | ( | ) |
Returns the slope control.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowType NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowDirection | ( | ) |
Returns the spine end flow direction.
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SpineSection | ( | ) |
Returns the spine section.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowType NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowDirection | ( | ) |
Returns the spine start flow direction.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::Spine NXOpen::Features::SectionSurfaceBuilderEx::SpineType | ( | ) |
Returns the spine.
Created in NX9.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::SectionSurfaceBuilderEx::SpineVector | ( | ) |
Returns the spine vector.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SectionSurfaceBuilderEx::StartContinuity | ( | ) |
Returns the start continuity.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilderEx::StartDepthSkew | ( | ) |
Returns the start depth skew.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::SectionSurfaceBuilderEx::StartDirection | ( | ) |
Returns the start direction.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::CircularTypeRadiusAngleArc Features::SectionSurfaceBuilderEx::CircularTypeRadiusAngleArc@endlink and @link Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SectionSurfaceBuilderEx::StartFace | ( | ) |
Returns the start face.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeShoulder Features::SectionSurfaceBuilderEx::ConicTypeShoulder@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeRho Features::SectionSurfaceBuilderEx::ConicTypeRho@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeHilite Features::SectionSurfaceBuilderEx::ConicTypeHilite@endlink and @link Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::StartHighlightCurve | ( | ) |
Returns the start highlight curve.
Only applies to the follow section surface type: @link Features::SectionSurfaceBuilderEx::ConicTypeHilite Features::SectionSurfaceBuilderEx::ConicTypeHilite@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::StartShapeCurve | ( | ) |
Returns the start shape curve.
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::StartSlopeCurve | ( | ) |
Returns the start slope curve.
Only applies to the follow section surface types: @link Features::SectionSurfaceBuilderEx::ConicTypeShoulder Features::SectionSurfaceBuilderEx::ConicTypeShoulder@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeRho Features::SectionSurfaceBuilderEx::ConicTypeRho@endlink , @link Features::SectionSurfaceBuilderEx::ConicTypeHilite Features::SectionSurfaceBuilderEx::ConicTypeHilite@endlink , @link Features::SectionSurfaceBuilderEx::CubicTypeTwoSlopes Features::SectionSurfaceBuilderEx::CubicTypeTwoSlopes@endlink and @link Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope@endlink
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::Types NXOpen::Features::SectionSurfaceBuilderEx::Type | ( | ) |
Returns the type.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SectionSurfaceBuilderEx::UDegreeType NXOpen::Features::SectionSurfaceBuilderEx::UDegree | ( | ) |
Returns the u degree.
Created in NX9.0.0.
License requirements : None